# Contributing to ImpressCMS
Our philosophy and practice is to give everyone a chance to contribute to the project. There are many ways you can contribute - code, user documentation, developer documentation, design (HTML and CSS), and user experience (UX). 

## Contributions

Contributions to ImpressCMS or its modules should be made in the form of GitHub pull requests from your fork of the project. Each pull request will be reviewed by a core contributor (someone with permission to merge pull requests to the project) and either merged into the branch or given feedback for changes that would be required. All contributions should follow this format, even those from core contributors.

Should you wish to work on an issue, please claim it first by commenting on the GitHub issue. This will prevent duplicated efforts from contributors on the same issue.

## Pull Request Checklist
- Please review our [coding standards](https://www.impresscms.org/modules/simplywiki/index.php?page=Coding_Standards).
- Pull requests should reference a single issue in our issue tracker. Please reference the ticket number in your commit messages and pull request comment.
- Have you fully documented your changes?
- If your pull request is not being reviewed or getting any attention, please post in the [forums](https://www.impresscms.org/modules/iforum/viewforum.php?forum=55) to get it addressed.

## Conduct
Members of the Impresscms community need to work together effectively, and this code of conduct lays down the "ground rules" for our cooperation. We have a [Code of Conduct](https://www.impresscms.org/modules/simplywiki/index.php?page=Code_of_Conduct) for how we behave online.

## Communication

We maintain our development and user discussions in our [forums](https://www.impresscms.org/modules/iforum/viewforum.php?forum=55). The core team uses [Slack](https://impresscms.slack.com/) for internal discussions and planning. 
